Summary: XFree86 Window System servers and basic programs
Name: XFree86
Version: 3.3.1
Release: 12
Copyright: MIT
Group: X11/XFree86
Requires: xinitrc
Requires: pam >= 0.56, xbanner
Source0: ftp.xfree86.org:/pub/XFree86/3.3/X331src-1.tgz
Source1: ftp.xfree86.org:/pub/XFree86/3.3/X331src-2.tgz
Source2: ftp.xfree86.org:/pub/XFree86/3.3/X331src-3.tgz
Source3: ftp.xfree86.org:/pub/XFree86-3.2/cfont32.tgz
Source4: xdm.pamd
ExclusiveArch: i386 alpha

Patch0: XFree86-3.3-rh.patch
Patch1: XFree86-3.3-xdm.patch
Patch2: XFree86-3.3-configpath.patch
Patch3: XFree86-3.3-pam.patch
Patch4: XFree86-3.3-shlibs.patch
Patch5: XFree86-3.3-notiocsltc.patch

%changelog

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>

- set libc version to 6 (which turns on thread support as well)
- used wildcards more liberally in file lists

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>

- added notiocsltc patch
- added /usr/X11R6/lib/X11/xserver/SecurityPolicy

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>

- updated to XFree86 3.3.1

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- add shlibs patch, we links shared libraries against -lc

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>

- Increased release number to 10 for glibc version

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- Updated to XFree86 3.3

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>

- Changed xdm to use xbanner
- Changed xdm paths to point to /var/run, /var/log, /etc/X11/xdm instead
  of all pointing to /usr/X11R6/lib/X11/xdm

* Thu Mar 06 1997 Erik Troan <ewt@redhat.com>

Modified to use pam.d.

%description
X Windows is a full featured graphical user interface featuring multiple
windows, multiple clients, and different window styles. It is used on
most Unix platforms, and the clients can also be run under other popular
windowing systems. The X protocol allows applications to be run on either
the local machine or across a network, providing flexibility in client/server
mplementations.

This package contains the basic fonts, programs and documentation for an X
workstation. It does not provide the X server which drives your video
hardware -- those are available in other package.

%package 75dpi-fonts
Summary: X11R6 75dpi fonts - only need on server side
Group: X11/XFree86

%description 75dpi-fonts
The 75dpi fonts used on most Linux systems. Users with high resolution
displays may prefer the 100dpi fonts available in a separate package.

%package 100dpi-fonts
Summary: X11R6 100dpi fonts - only need on server side
Group: X11/XFree86

%description 100dpi-fonts
The 100dpi fonts used on most Linux systems. Users with high resolution
displays may prefer the 100dpi fonts available in a separate package.

%package libs
Summary: X11R6 shared libraries
Group: X11/XFree86
Prereq: grep /sbin/ldconfig

%description libs
This package contains the shared libraries most X programs need to run
properly. They are in a separate package to reduce the disk space needed
to run X applications on a machine w/o an X server (over a network).

%package devel
Summary: X11R6 static libraries, headers and programming man pages
Group: X11/XFree86

%description devel
Libraries, header files, and documentation for developing programs that
run as X clients. It includes the base Xlib library as well as the Xt
and Xaw widget sets. For information on programming with these libraries,
Red Hat recommends the series of books on X Programming produced by
O'Reilly and Associates.

%package S3
Summary: XFree86 S3 server
Group: X11/XFree86/Servers

%description S3
X server for cards built around chips from S3, including most #9 cards,
many Diamond Stealth cards, Orchid Farenheits, Mirco Crystal 8S, most STB
cards, and some motherboards with built in graphics accelerators (such
as the IBM ValuePoint line).

%package I128
Summary: XFree86 #9 Imagine 128 Server
Group: X11/XFree86/Servers

%description I128
X server for the #9 Imagine 128 board.

%package S3V
Summary: XFree86 S3 Virge server
Group: X11/XFree86/Servers

%description S3V
X server for cards built around the S3 Virge chipset.

%package Mach64
Summary: XFree86 Mach64 server
Group: X11/XFree86/Servers

%description Mach64
X server for ATI Mach64 based cards such as the Graphics Xpression, GUP Turbo,
and WinTurbo cards. This server is known to have problems with some Mach64
cards which newer versions of XFree86 (which were only available as BETA
releases at the time of this release) may fix. Look at http://www.xfree86.org
for information on updating this server.

%package Xvfb
Summary: XFree86 Xvfb server
Group: X11/XFree86/Servers

%description Xvfb
X server which runs in a X window.

%package 8514
Summary: XFree86 8514 server
Group: X11/XFree86/Servers

%description 8514
X server for older IBM 8514 cards and compatibles from companies such as
ATI.

%package AGX
Summary: XFree86 AGX server
Group: X11/XFree86/Servers

%description AGX
X server for AGX based cards such as the Boca Vortex, Orchid Celsius,
Spider Black Widow, and Hercules Graphite.

%package Mach32
Summary: XFree86 Mach32 server
Group: X11/XFree86/Servers

%description Mach32
X server for cards built around ATI's Mach32 chip, including the ATI
Graphics Ultra Pro and Ultra Plus.

%package Mach8
Summary: XFree86 Mach8 server
Group: X11/XFree86/Servers

%description Mach8
X server for cards built around ATI's Mach8 chip, including the ATI
8514 Ultra and Graphics Ultra.

%package Mono
Summary: XFree86 Mono server
Group: X11/XFree86/Servers

%description Mono
Generic monochrome (2 color) server for VGA cards, which works on nearly
all VGA style boards with limited resolutions.

%package P9000
Summary: XFree86 P9000 server
Group: X11/XFree86/Servers

%description P9000
X server for cards built around the Weitek P9000 chips such as most
Diamond Viper cards and the Orchid P9000 card.

%package SVGA
Summary: XFree86 SVGA server
Group: X11/XFree86/Servers

%description SVGA
X server for most simple framebuffer SVGA devices, including cards built
from ET4000 chips, Cirrus Logic chips, Chips and Technologies laptop chips,
Trident 8900 and 9000 chips. It works for Diamond Speedstar, Orchid
Kelvins, STB Nitros and Horizons, Genoa 8500VL, most Actix boards,
the Spider VLB Plus. It also works for many other chips and cards, so try
this server if you are having problems.

%package VGA16
Summary: XFree86 VGA16 server

Group: X11/XFree86/Servers
%description VGA16
Generic 16 color server for VGA boards. This works on nearly all VGA style
graphics boards, but only in low resolution with few colors.

%package W32

Summary: XFree86 W32 server
Group: X11/XFree86/Servers
%description W32
X server for cards built around the ET4000/W32 chips, including the
Genoa 8900 Phantom 32i, Hercules Dynamite cards, LeadTek WinFast S200,
Sigma Concorde, STB LightSpeed, TechWorks Thunderbolt, and ViewTop PCI.

%package TGA

Summary: XFree86 TGA server
Group: X11/XFree86/Servers
%description TGA
Eight bit X server for Digital TGA boards based on the DC21040 chips. These
adapters are very popular in Alpha workstations and are included with Alpha
UDB (Multia) machines.

%package XF86Setup
Group: X11/XFree86
Summary: Graphical configuration tool for XFree86
Requires: XFree86-VGA16
%description XF86Setup
XF86Setup is a graphical configuration tool for the XFree86 family of
servers. It allows you to configure video settings, keyboard layouts,
mouse type, and other miscellaneous options. It is slow however, and
requires the generic VGA 16 color server be available.

%prep
%setup -q -c -a 1 -a 2 -a 3

# Clean up to save a *lot* of disk space
# find . -name "*.orig" -print | xargs rm -f
# find . -size 0 -print | xargs rm -f

%patch0 -p1 -b .rh
%patch1 -p1 -b .rhxdm
%patch2 -p1 -b .fsstnd
%patch3 -p1 -b .nopam
%patch4 -p0 -b .shlibs
%patch5 -p1 -b .tiocsltc

%build
(cd xc; make World)

%install
if [ -d /usr/X11R6 ]; then
	mv -f /usr/X11R6 /usr/X11R6.$$
fi

install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/xdm.pamd /etc/pam.d/xdm
mkdir -p /usr/include
rm -f /usr/include/X11
ln -s ../X11R6/include/X11 /usr/include/X11

(cd xc; make install; make install.man)

# don't make SuperProbe setuid
chmod 755 /usr/X11R6/bin/SuperProbe

# Move config config stuff to /etc/X11
mkdir -p /etc/X11
ln -sf ../../../../etc/X11/XF86Config /usr/X11R6/lib/X11/XF86Config

for i in xdm twm fs xsm; do
    rm -rf /etc/X11/$i
    cp -ar /usr/X11R6/lib/X11/$i /etc/X11
    rm -rf /usr/X11R6/lib/X11/$i
    ln -sf ../../../../etc/X11/$i /usr/X11R6/lib/X11/$i
done

# we get xinit from a separate package
rm -rf /usr/X11R6/lib/X11/xinit
ln -sf ../../../../etc/X11/xinit /usr/X11R6/lib/X11/xinit

# Fix up symlinks
rm -f /usr/bin/X11 /usr/man/X11 /usr/include/X11 /usr/lib/X11
ln -sf ../X11R6/bin /usr/bin/X11
ln -sf ../X11R6/man /usr/man/X11
ln -sf ../X11R6/include/X11 /usr/include/X11
ln -sf ../X11R6/lib/X11 /usr/lib/X11

(set +x; strip /usr/X11R6/bin/*)

for n in libX11.so.6.1 libICE.so.6.3 libSM.so.6.0 libXext.so.6.3 libXt.so.6.0 \
	 libXmu.so.6.0 libXaw.so.6.1 libXIE.so.6.0 libXi.so.6.0 \
	 libXtst.so.6.1; do
	ln -sf $n /usr/X11R6/lib/`echo $n | sed "s/\.so.*/\.so/"`
done

# this gets the wrong permissions by default -- I don't know or care why
chmod 755 /usr/X11R6/lib/X11/xkb/geometry/sgi

# this certainly doesn't need to be setuid
chmod 755 /usr/X11R6/bin/dga

%ifnarch alpha
  ln -sf libPEX5.so.6.0 /usr/X11R6/lib/libPEX5.so.6
%endif

%post libs
grep "^/usr/X11R6/lib$" /etc/ld.so.conf >/dev/null 2>&1
[ $? -ne 0 ] && echo "/usr/X11R6/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun libs
if [ "$1" = "0" ]; then
        grep -v "/usr/X11R6/lib" /etc/ld.so.conf > /etc/ld.so.conf.new
	mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%verify libs
echo -n "Looking for /usr/X11R6/lib in /etc/ld.so.conf... "
if ! grep "^/usr/X11R6/lib$" /etc/ld.so.conf > /dev/null; then
    echo "missing"
    echo "/usr/X11R6/lib missing from /etc/ld.so.conf" >&2
else
    echo "found"
fi

%files
%config %doc /usr/X11R6/lib/X11/XF86Config.eg
%docdir /usr/X11R6/lib/X11/doc
%doc /usr/X11R6/lib/X11/Cards

%dir /usr/X11R6
%dir /usr/X11R6/lib
%dir /usr/X11R6/lib/X11
%dir /usr/X11R6/lib/X11/locale
%dir /usr/X11R6/lib/X11/locale/C
%dir /usr/X11R6/lib/X11/locale/iso8859-1
%dir /usr/X11R6/lib/X11/locale/iso8859-2
%dir /usr/X11R6/lib/X11/locale/iso8859-3
%dir /usr/X11R6/lib/X11/locale/iso8859-4
%dir /usr/X11R6/lib/X11/locale/iso8859-5
%dir /usr/X11R6/lib/X11/locale/iso8859-6
%dir /usr/X11R6/lib/X11/locale/iso8859-7
%dir /usr/X11R6/lib/X11/locale/iso8859-8
%dir /usr/X11R6/lib/X11/locale/iso8859-9
%dir /usr/X11R6/lib/X11/locale/ja
%dir /usr/X11R6/lib/X11/locale/ja.JIS
%dir /usr/X11R6/lib/X11/locale/ja.SJIS
%dir /usr/X11R6/lib/X11/locale/ko
%dir /usr/X11R6/lib/X11/locale/zh
%dir /usr/X11R6/lib/X11/locale/zh_TW
%dir /usr/X11R6/lib/X11/locale/th_TH.TACTIS
%dir /usr/X11R6/lib/X11/locale/en_US.utf
%dir /usr/X11R6/lib/X11/locale/koi8-r
%dir /usr/X11R6/lib/X11/locale/tbl_data
%dir /usr/X11R6/lib/X11/app-defaults
%dir /usr/X11R6/lib/X11/rstart
%dir /usr/X11R6/lib/X11/rstart/commands
%dir /usr/X11R6/lib/X11/rstart/commands/x11r6
%dir /usr/X11R6/lib/X11/rstart/contexts
%dir /usr/X11R6/lib/X11/x11perfcomp
%dir /usr/X11R6/lib/X11/etc
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/xserver
%dir /usr/X11R6/lib/modules
%dir /usr/X11R6/bin

%config /etc/pam.d/xdm
%config /etc/X11/twm/system.twmrc
%config /etc/X11/fs/config
%config /etc/X11/xsm/system.xsm
%config /etc/X11/xdm/xdm-config
%config /etc/X11/xdm/chooser
%config /etc/X11/xdm/Xsetup_0
%config /etc/X11/xdm/Xsession
%config /etc/X11/xdm/Xservers
%config /etc/X11/xdm/Xresources
%config /etc/X11/xdm/Xaccess
%config /etc/X11/xdm/TakeConsole
%config /etc/X11/xdm/GiveConsole

/usr/X11R6/lib/X11/XErrorDB
/usr/X11R6/lib/X11/XKeysymDB
/usr/X11R6/lib/X11/locale/locale.alias
/usr/X11R6/lib/X11/locale/locale.dir
/usr/X11R6/lib/X11/locale/compose.dir
/usr/X11R6/lib/X11/locale/C/XLC_LOCALE
/usr/X11R6/lib/X11/locale/iso8859-1/XLC_LOCALE
/usr/X11R6/lib/X11/locale/iso8859-1/Compose
/usr/X11R6/lib/X11/locale/iso8859-2/XLC_LOCALE
/usr/X11R6/lib/X11/locale/iso8859-2/Compose
/usr/X11R6/lib/X11/locale/iso8859-3/XLC_LOCALE
/usr/X11R6/lib/X11/locale/iso8859-4/XLC_LOCALE
/usr/X11R6/lib/X11/locale/iso8859-5/XLC_LOCALE
/usr/X11R6/lib/X11/locale/iso8859-6/XLC_LOCALE
/usr/X11R6/lib/X11/locale/iso8859-7/XLC_LOCALE
/usr/X11R6/lib/X11/locale/iso8859-8/XLC_LOCALE
/usr/X11R6/lib/X11/locale/iso8859-9/XLC_LOCALE
/usr/X11R6/lib/X11/locale/ja/XLC_LOCALE
/usr/X11R6/lib/X11/locale/ja.JIS/XLC_LOCALE
/usr/X11R6/lib/X11/locale/ja.SJIS/XLC_LOCALE
/usr/X11R6/lib/X11/locale/ko/XLC_LOCALE
/usr/X11R6/lib/X11/locale/zh/XLC_LOCALE
/usr/X11R6/lib/X11/locale/zh_TW/XLC_LOCALE
/usr/X11R6/lib/X11/locale/th_TH.TACTIS/XLC_LOCALE
/usr/X11R6/lib/X11/locale/en_US.utf/XLC_LOCALE
/usr/X11R6/lib/X11/locale/koi8-r/XLC_LOCALE
/usr/X11R6/lib/X11/locale/tbl_data/tab8859_1
/usr/X11R6/lib/X11/locale/tbl_data/tab8859_2
/usr/X11R6/lib/X11/locale/tbl_data/tab8859_3
/usr/X11R6/lib/X11/locale/tbl_data/tab8859_4
/usr/X11R6/lib/X11/locale/tbl_data/tab8859_5
/usr/X11R6/lib/X11/locale/tbl_data/tab8859_6
/usr/X11R6/lib/X11/locale/tbl_data/tab8859_7
/usr/X11R6/lib/X11/locale/tbl_data/tab8859_8
/usr/X11R6/lib/X11/locale/tbl_data/tab8859_9
/usr/X11R6/lib/X11/locale/tbl_data/jis0208
/usr/X11R6/lib/X11/locale/tbl_data/ksc5601
/usr/X11R6/lib/X11/locale/tbl_data/gb2312
/usr/X11R6/lib/X11/locale/tbl_data/tabkoi8-r
%config /usr/X11R6/lib/X11/app-defaults/Beforelight
%config /usr/X11R6/lib/X11/app-defaults/Bitmap
%config /usr/X11R6/lib/X11/app-defaults/Bitmap-color
%config /usr/X11R6/lib/X11/app-defaults/Editres
%config /usr/X11R6/lib/X11/app-defaults/Editres-color
%config /usr/X11R6/lib/X11/app-defaults/XClipboard
%config /usr/X11R6/lib/X11/app-defaults/XClock
%config /usr/X11R6/lib/X11/app-defaults/XConsole
%config /usr/X11R6/lib/X11/app-defaults/Chooser
%config /usr/X11R6/lib/X11/app-defaults/Xfd
%config /usr/X11R6/lib/X11/app-defaults/XLogo
%config /usr/X11R6/lib/X11/app-defaults/XLogo-color
%config /usr/X11R6/lib/X11/app-defaults/Xmag
%config /usr/X11R6/lib/X11/app-defaults/Xmh
%config /usr/X11R6/lib/X11/app-defaults/XSm
%config /usr/X11R6/lib/X11/app-defaults/XTerm
%config /usr/X11R6/lib/X11/app-defaults/XTerm-color
%config /usr/X11R6/lib/X11/app-defaults/Xvidtune
%config /usr/X11R6/lib/X11/rgb.txt

/usr/X11R6/lib/X11/xinit
/usr/X11R6/lib/X11/xdm
/usr/X11R6/lib/X11/twm
/usr/X11R6/lib/X11/fs
/usr/X11R6/lib/X11/xsm
/usr/X11R6/lib/X11/XF86Config

/usr/X11R6/lib/X11/xserver/SecurityPolicy

/usr/X11R6/lib/X11/rstart/rstartd.real
%config /usr/X11R6/lib/X11/rstart/config
/usr/X11R6/lib/X11/rstart/commands/x11r6/@List
/usr/X11R6/lib/X11/rstart/commands/x11r6/LoadMonitor
/usr/X11R6/lib/X11/rstart/commands/x11r6/Terminal
/usr/X11R6/lib/X11/rstart/commands/@List
/usr/X11R6/lib/X11/rstart/commands/ListContexts
/usr/X11R6/lib/X11/rstart/commands/ListGenericCommands
/usr/X11R6/lib/X11/rstart/contexts/@List
/usr/X11R6/lib/X11/rstart/contexts/default
/usr/X11R6/lib/X11/rstart/contexts/x11r6
/usr/X11R6/lib/X11/x11perfcomp/fillblnk
/usr/X11R6/lib/X11/x11perfcomp/perfboth
/usr/X11R6/lib/X11/x11perfcomp/perfratio
/usr/X11R6/lib/X11/doc
/usr/X11R6/lib/X11/etc/sun.termcap
/usr/X11R6/lib/X11/etc/sun.terminfo
/usr/X11R6/lib/X11/etc/xterm.termcap
/usr/X11R6/lib/X11/etc/xterm.terminfo
/usr/X11R6/lib/X11/etc/et4000clock.c
/usr/X11R6/lib/X11/etc/xmodmap.std
/usr/X11R6/lib/X11/etc/postinst.sh
/usr/X11R6/lib/X11/etc/preinst.sh
/usr/X11R6/bin/lndir
/usr/X11R6/bin/mkdirhier
/usr/X11R6/bin/gccmakedep
/usr/X11R6/bin/mergelib
/usr/X11R6/bin/makeg
/usr/X11R6/bin/appres
/usr/X11R6/bin/bdftopcf
/usr/X11R6/bin/beforelight
/usr/X11R6/bin/bitmap
/usr/X11R6/bin/bmtoa
/usr/X11R6/bin/atobm
/usr/X11R6/bin/editres
/usr/X11R6/bin/fsinfo
/usr/X11R6/bin/fslsfonts
/usr/X11R6/bin/fstobdf
/usr/X11R6/bin/iceauth
/usr/X11R6/bin/mkfontdir
/usr/X11R6/bin/showrgb
/usr/X11R6/bin/rstart
/usr/X11R6/bin/smproxy
/usr/X11R6/bin/twm
/usr/X11R6/bin/x11perf
/usr/X11R6/bin/x11perfcomp
/usr/X11R6/bin/Xmark
/usr/X11R6/bin/xauth
/usr/X11R6/bin/xclipboard
/usr/X11R6/bin/xcutsel
/usr/X11R6/bin/xclock
/usr/X11R6/bin/xcmsdb
/usr/X11R6/bin/xconsole
/usr/X11R6/bin/xdm
/usr/X11R6/bin/sessreg
/usr/X11R6/bin/xdpyinfo
/usr/X11R6/bin/dga
/usr/X11R6/bin/xfd
/usr/X11R6/bin/xfs
/usr/X11R6/bin/xhost
/usr/X11R6/bin/xieperf
/usr/X11R6/bin/xinit
%config /usr/X11R6/bin/startx
/usr/X11R6/bin/setxkbmap
/usr/X11R6/bin/xkbcomp
/usr/X11R6/bin/xkbevd
/usr/X11R6/bin/xkbprint
/usr/X11R6/bin/xkbvleds
/usr/X11R6/bin/xkbwatch
/usr/X11R6/bin/xkbbell
/usr/X11R6/bin/xkill
/usr/X11R6/bin/xlogo
/usr/X11R6/bin/xlsatoms
/usr/X11R6/bin/xlsclients
/usr/X11R6/bin/xlsfonts
/usr/X11R6/bin/xmag
/usr/X11R6/bin/xmh
/usr/X11R6/bin/xmodmap
/usr/X11R6/bin/xprop
/usr/X11R6/bin/xrdb
/usr/X11R6/bin/xset
/usr/X11R6/bin/xrefresh
/usr/X11R6/bin/xsetmode
/usr/X11R6/bin/xsetpointer
/usr/X11R6/bin/xsetroot
/usr/X11R6/bin/xsm
/usr/X11R6/bin/xstdcmap
/usr/X11R6/bin/xterm
/usr/X11R6/bin/resize
/usr/X11R6/bin/xvidtune
/usr/X11R6/bin/xwd
/usr/X11R6/bin/xwininfo
/usr/X11R6/bin/xwud
/usr/X11R6/bin/Xnest
/usr/X11R6/bin/Xvfb
/usr/X11R6/bin/reconfig
/usr/X11R6/bin/xf86config
/usr/X11R6/bin/scanpci
/usr/X11R6/bin/SuperProbe
/usr/X11R6/bin/xon
/usr/X11R6/include/X11/bitmaps

/usr/X11R6/man/man1/lndir.1x
/usr/X11R6/man/man1/makestrs.1x
/usr/X11R6/man/man1/makeg.1x
/usr/X11R6/man/man1/mkdirhier.1x
/usr/X11R6/man/man1/appres.1x
/usr/X11R6/man/man1/bdftopcf.1x
/usr/X11R6/man/man1/beforelight.1x
/usr/X11R6/man/man1/bitmap.1x
/usr/X11R6/man/man1/bmtoa.1x
/usr/X11R6/man/man1/atobm.1x
/usr/X11R6/man/man1/editres.1x
/usr/X11R6/man/man1/fsinfo.1x
/usr/X11R6/man/man1/fslsfonts.1x
/usr/X11R6/man/man1/fstobdf.1x
/usr/X11R6/man/man1/iceauth.1x
/usr/X11R6/man/man1/mkfontdir.1x
/usr/X11R6/man/man1/showrgb.1x
/usr/X11R6/man/man1/rstart.1x
/usr/X11R6/man/man1/rstartd.1x
/usr/X11R6/man/man1/smproxy.1x
/usr/X11R6/man/man1/twm.1x
/usr/X11R6/man/man1/x11perf.1x
/usr/X11R6/man/man1/x11perfcomp.1x
/usr/X11R6/man/man1/xauth.1x
/usr/X11R6/man/man1/xclipboard.1x
/usr/X11R6/man/man1/xcutsel.1x
/usr/X11R6/man/man1/xclock.1x
/usr/X11R6/man/man1/xcmsdb.1x
/usr/X11R6/man/man1/xconsole.1x
/usr/X11R6/man/man1/xdm.1x
/usr/X11R6/man/man1/sessreg.1x
/usr/X11R6/man/man1/xdpyinfo.1x
/usr/X11R6/man/man1/dga.1x
/usr/X11R6/man/man1/xfd.1x
/usr/X11R6/man/man1/xfs.1x
/usr/X11R6/man/man1/xhost.1x
/usr/X11R6/man/man1/xieperf.1x
/usr/X11R6/man/man1/xinit.1x
/usr/X11R6/man/man1/startx.1x
/usr/X11R6/man/man1/setxkbmap.1x
/usr/X11R6/man/man1/xkbcomp.1x
/usr/X11R6/man/man1/xkbevd.1x
/usr/X11R6/man/man1/xkbprint.1x
/usr/X11R6/man/man1/xkill.1x
/usr/X11R6/man/man1/xlogo.1x
/usr/X11R6/man/man1/xlsatoms.1x
/usr/X11R6/man/man1/xlsclients.1x
/usr/X11R6/man/man1/xlsfonts.1x
/usr/X11R6/man/man1/xmag.1x
/usr/X11R6/man/man1/xmh.1x
/usr/X11R6/man/man1/xmodmap.1x
/usr/X11R6/man/man1/xprop.1x
/usr/X11R6/man/man1/xrdb.1x
/usr/X11R6/man/man1/xrefresh.1x
/usr/X11R6/man/man1/xset.1x
/usr/X11R6/man/man1/xsetmode.1x
/usr/X11R6/man/man1/xsetpointer.1x
/usr/X11R6/man/man1/xsetroot.1x
/usr/X11R6/man/man1/xsm.1x
/usr/X11R6/man/man1/xstdcmap.1x
/usr/X11R6/man/man1/xterm.1x
/usr/X11R6/man/man1/resize.1x
/usr/X11R6/man/man1/xvidtune.1x
/usr/X11R6/man/man1/xwd.1x
/usr/X11R6/man/man1/xwininfo.1x
/usr/X11R6/man/man1/xwud.1x
/usr/X11R6/man/man1/Xserver.1x
/usr/X11R6/man/man1/XFree86.1x
/usr/X11R6/man/man1/reconfig.1x
/usr/X11R6/man/man1/xf86config.1x
/usr/X11R6/man/man1/SuperProbe.1x
/usr/X11R6/man/man1/Xvfb.1x
/usr/X11R6/man/man1/Xnest.1x
/usr/X11R6/man/man1/xon.1x

/usr/X11R6/lib/X11/fonts/Speedo
/usr/X11R6/lib/X11/fonts/Type1
/usr/X11R6/lib/X11/fonts/misc

%ifnarch alpha
/usr/X11R6/lib/X11/fonts/PEX
%endif

%files libs
/usr/X11R6/lib/*.so.6*

%files devel 
/usr/X11R6/include
/usr/include/X11
/usr/X11R6/man/man3

/usr/X11R6/lib/X11/config
/usr/X11R6/bin/imake
/usr/X11R6/bin/makedepend
/usr/X11R6/bin/xmkmf

/usr/X11R6/man/man1/imake.1x
/usr/X11R6/man/man1/makedepend.1x
/usr/X11R6/man/man1/xmkmf.1x

/usr/X11R6/lib/*.a

/usr/X11R6/lib/*.so

%files SVGA
/usr/X11R6/bin/XF86_SVGA
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_SVGA.1x
/usr/X11R6/man/man5/XF86Config.5x

%ifnarch alpha
%files VGA16
/usr/X11R6/bin/XF86_VGA16
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_VGA16.1x
/usr/X11R6/man/man5/XF86Config.5x
%endif

%ifnarch alpha
%files W32
/usr/X11R6/bin/XF86_W32
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_W32.1x
/usr/X11R6/man/man1/XF86_Accel.1x
%endif

%files Mono
/usr/X11R6/bin/XF86_Mono
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_Mono.1x
/usr/X11R6/man/man5/XF86Config.5x

%files S3
/usr/X11R6/lib/X11/xkb
/usr/X11R6/bin/XF86_S3
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_S3.1x
/usr/X11R6/man/man1/XF86_Accel.1x
/usr/X11R6/man/man5/XF86Config.5x

%files S3V
/usr/X11R6/bin/XF86_S3V
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_S3.1x
/usr/X11R6/man/man1/XF86_Accel.1x
/usr/X11R6/man/man5/XF86Config.5x

%ifnarch alpha
%files 8514
/usr/X11R6/bin/XF86_8514
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_8514.1x
/usr/X11R6/man/man1/XF86_Accel.1x
/usr/X11R6/man/man5/XF86Config.5x
%endif

%ifnarch alpha
%files Mach8
/usr/X11R6/bin/XF86_Mach8
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_Mach8.1x
/usr/X11R6/man/man1/XF86_Accel.1x
/usr/X11R6/man/man5/XF86Config.5x
%endif

%ifnarch alpha
%files Mach32
/usr/X11R6/bin/XF86_Mach32
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_Mach32.1x
/usr/X11R6/man/man1/XF86_Accel.1x
/usr/X11R6/man/man5/XF86Config.5x
%endif

%files Mach64
/usr/X11R6/bin/XF86_Mach64
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_Mach64.1x
/usr/X11R6/man/man1/XF86_Accel.1x
/usr/X11R6/man/man5/XF86Config.5x

%files P9000
/usr/X11R6/bin/XF86_P9000
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_P9000.1x
/usr/X11R6/man/man1/XF86_Accel.1x
/usr/X11R6/man/man5/XF86Config.5x

%ifnarch alpha
%files AGX
/usr/X11R6/bin/XF86_AGX
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_AGX.1x
/usr/X11R6/man/man1/XF86_Accel.1x
/usr/X11R6/man/man5/XF86Config.5x
%endif

%ifnarch alpha
%files I128
/usr/X11R6/bin/XF86_I128
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man1/XF86_I128.1x
/usr/X11R6/man/man1/XF86_Accel.1x
/usr/X11R6/man/man5/XF86Config.5x
%endif

%ifarch alpha
%files TGA
/usr/X11R6/bin/XF86_TGA
/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/modules
/usr/X11R6/man/man5/XF86Config.5x
%endif

%files 75dpi-fonts
/usr/X11R6/lib/X11/fonts/75dpi

%files 100dpi-fonts
/usr/X11R6/lib/X11/fonts/100dpi

%files XF86Setup
/usr/X11R6/bin/XF86Setup
/usr/X11R6/bin/xmseconfig
/usr/X11R6/lib/X11/XF86Setup
/usr/X11R6/man/man1/XF86Setup.1x
/usr/X11R6/man/man1/xmseconfig.1x
